<!DOCTYPE html>

<html lang="en" data-content_root="./">
  <head>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="viewport" content="width=device-width, initial-scale=1" />

    <title>pipe &#8212; NLP004  documentation</title>
    <link rel="stylesheet" type="text/css" href="_static/pygments.css?v=4f649999" />
    <link rel="stylesheet" type="text/css" href="_static/alabaster.css?v=039e1c02" />
    <script src="_static/documentation_options.js?v=5929fcd5"></script>
    <script src="_static/doctools.js?v=888ff710"></script>
    <script src="_static/sphinx_highlight.js?v=dc90522c"></script>
    <link rel="index" title="Index" href="genindex.html" />
    <link rel="search" title="Search" href="search.html" />
    <link rel="prev" title="get_list_of_publishers" href="scripts/get_list_of_publishers.html" />
   
  <link rel="stylesheet" href="_static/custom.css" type="text/css" />
  
  
  <meta name="viewport" content="width=device-width, initial-scale=0.9, maximum-scale=0.9" />

  </head><body>
  

    <div class="document">
      <div class="documentwrapper">
        <div class="bodywrapper">
          

          <div class="body" role="main">
            
  <section id="module-pipe">
<span id="pipe"></span><h1>pipe<a class="headerlink" href="#module-pipe" title="Link to this heading">¶</a></h1>
<dl class="py function">
<dt class="sig sig-object py" id="pipe.abstract_collector">
<span class="sig-prename descclassname"><span class="pre">pipe.</span></span><span class="sig-name descname"><span class="pre">abstract_collector</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">abstracts_path</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">download</span></span><span class="o"><span class="pre">=</span></span><span class="default_value"><span class="pre">False</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">download_list</span></span><span class="o"><span class="pre">=</span></span><span class="default_value"><span class="pre">''</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">verbose</span></span><span class="o"><span class="pre">=</span></span><span class="default_value"><span class="pre">False</span></span></em><span class="sig-paren">)</span><a class="reference internal" href="_modules/pipe.html#abstract_collector"><span class="viewcode-link"><span class="pre">[source]</span></span></a><a class="headerlink" href="#pipe.abstract_collector" title="Link to this definition">¶</a></dt>
<dd><p>Gets abstracts from the given path.</p>
<p>Arguments:</p>
<blockquote>
<div><p>abstracts_path (str): Path from where to look for abstracts.
download (bool): Indicates wether to download abstracts or not. Defaults to False.
download_list (str): Path to csv file with download list. Defaults to empty string.
verbose (bool): verbose. Defaults to False.</p>
</div></blockquote>
<p>Returns:</p>
<blockquote>
<div><p>list: Resulting list of cleaned abstracts.</p>
</div></blockquote>
</dd></dl>

<dl class="py function">
<dt class="sig sig-object py" id="pipe.cleaning_pipe">
<span class="sig-prename descclassname"><span class="pre">pipe.</span></span><span class="sig-name descname"><span class="pre">cleaning_pipe</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">text</span></span></em><span class="sig-paren">)</span><a class="reference internal" href="_modules/pipe.html#cleaning_pipe"><span class="viewcode-link"><span class="pre">[source]</span></span></a><a class="headerlink" href="#pipe.cleaning_pipe" title="Link to this definition">¶</a></dt>
<dd><p>Uses function from preprocessing, to clean text.</p>
<p>Argumnets:</p>
<blockquote>
<div><p>text (str): input string.</p>
</div></blockquote>
<p>Returns:</p>
<blockquote>
<div><p>str: resulting clean text.</p>
</div></blockquote>
</dd></dl>

<dl class="py function">
<dt class="sig sig-object py" id="pipe.information_extraction_pipeline">
<span class="sig-prename descclassname"><span class="pre">pipe.</span></span><span class="sig-name descname"><span class="pre">information_extraction_pipeline</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">abstracts</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">verbose</span></span><span class="o"><span class="pre">=</span></span><span class="default_value"><span class="pre">False</span></span></em><span class="sig-paren">)</span><a class="reference internal" href="_modules/pipe.html#information_extraction_pipeline"><span class="viewcode-link"><span class="pre">[source]</span></span></a><a class="headerlink" href="#pipe.information_extraction_pipeline" title="Link to this definition">¶</a></dt>
<dd><p>Extracts nformation from clean abstracts.</p>
<p>Argumetns:</p>
<blockquote>
<div><p>abstracts (list): list of abstracts.
vebose (bool): verbose. Defaults to False.</p>
</div></blockquote>
<p>Returns:</p>
<blockquote>
<div><p>list: List of dictionaries with extracted data from rules and NLP.</p>
</div></blockquote>
</dd></dl>

<dl class="py function">
<dt class="sig sig-object py" id="pipe.main">
<span class="sig-prename descclassname"><span class="pre">pipe.</span></span><span class="sig-name descname"><span class="pre">main</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">abstracts_path</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">output_path</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">download_abstracts</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">abstract_download_list</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">verbose</span></span><span class="o"><span class="pre">=</span></span><span class="default_value"><span class="pre">False</span></span></em><span class="sig-paren">)</span><a class="reference internal" href="_modules/pipe.html#main"><span class="viewcode-link"><span class="pre">[source]</span></span></a><a class="headerlink" href="#pipe.main" title="Link to this definition">¶</a></dt>
<dd><p>main function of pipeline. Saves result of the pipeline and returns the result.</p>
<p>Arguments:</p>
<blockquote>
<div><p>abstracts_path (str): Path from where to read abstracts (if download, where to download abstracts first).
output_path (str): Path where to save the result of the pipeline.
download_abstracts (bool): Wether to download or no abstracts.
abstract_download_list (str): Path to list of abstracts to download (csv with doi column).
verbose (bool): verbose. Defaults to False.</p>
</div></blockquote>
<p>Returns:</p>
<blockquote>
<div><p>pandas.DataFrame: the result of the pipeline.</p>
</div></blockquote>
</dd></dl>

<dl class="py function">
<dt class="sig sig-object py" id="pipe.metadata_collector">
<span class="sig-prename descclassname"><span class="pre">pipe.</span></span><span class="sig-name descname"><span class="pre">metadata_collector</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">abstracts</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">verbose</span></span><span class="o"><span class="pre">=</span></span><span class="default_value"><span class="pre">False</span></span></em><span class="sig-paren">)</span><a class="reference internal" href="_modules/pipe.html#metadata_collector"><span class="viewcode-link"><span class="pre">[source]</span></span></a><a class="headerlink" href="#pipe.metadata_collector" title="Link to this definition">¶</a></dt>
<dd><p>Collects metada from CrossRef.</p>
<p>Arguments:</p>
<blockquote>
<div><p>abstracts (list): list of abstracts, for which metadata should be collected.
vebose (bool): verbose. Defaults to False.</p>
</div></blockquote>
<p>Returns:</p>
<blockquote>
<div><p>list: list of metadata, including publication date, title, sourse, authors.</p>
</div></blockquote>
</dd></dl>

</section>


          </div>
          
        </div>
      </div>
      <div class="sphinxsidebar" role="navigation" aria-label="main navigation">
        <div class="sphinxsidebarwrapper">
<h1 class="logo"><a href="index.html">NLP004</a></h1>








<h3>Navigation</h3>
<p class="caption" role="heading"><span class="caption-text">Contents:</span></p>
<ul class="current">
<li class="toctree-l1"><a class="reference internal" href="modules.html">python</a></li>
<li class="toctree-l1 current"><a class="current reference internal" href="#">pipe</a><ul>
<li class="toctree-l2"><a class="reference internal" href="#pipe.abstract_collector"><code class="docutils literal notranslate"><span class="pre">abstract_collector()</span></code></a></li>
<li class="toctree-l2"><a class="reference internal" href="#pipe.cleaning_pipe"><code class="docutils literal notranslate"><span class="pre">cleaning_pipe()</span></code></a></li>
<li class="toctree-l2"><a class="reference internal" href="#pipe.information_extraction_pipeline"><code class="docutils literal notranslate"><span class="pre">information_extraction_pipeline()</span></code></a></li>
<li class="toctree-l2"><a class="reference internal" href="#pipe.main"><code class="docutils literal notranslate"><span class="pre">main()</span></code></a></li>
<li class="toctree-l2"><a class="reference internal" href="#pipe.metadata_collector"><code class="docutils literal notranslate"><span class="pre">metadata_collector()</span></code></a></li>
</ul>
</li>
</ul>

<div class="relations">
<h3>Related Topics</h3>
<ul>
  <li><a href="index.html">Documentation overview</a><ul>
      <li>Previous: <a href="scripts/get_list_of_publishers.html" title="previous chapter">get_list_of_publishers</a></li>
  </ul></li>
</ul>
</div>
<div id="searchbox" style="display: none" role="search">
  <h3 id="searchlabel">Quick search</h3>
    <div class="searchformwrapper">
    <form class="search" action="search.html" method="get">
      <input type="text" name="q" aria-labelledby="searchlabel" autocomplete="off" autocorrect="off" autocapitalize="off" spellcheck="false"/>
      <input type="submit" value="Go" />
    </form>
    </div>
</div>
<script>document.getElementById('searchbox').style.display = "block"</script>








        </div>
      </div>
      <div class="clearer"></div>
    </div>
    <div class="footer">
      &copy;2023, Ughur Mammadzada.
      
      |
      Powered by <a href="http://sphinx-doc.org/">Sphinx 7.2.6</a>
      &amp; <a href="https://github.com/bitprophet/alabaster">Alabaster 0.7.13</a>
      
      |
      <a href="_sources/pipe.rst.txt"
          rel="nofollow">Page source</a>
    </div>

    

    
  </body>
</html>